from django.urls import path

from django.conf import settings
from . import views
from django.conf.urls.static import static
app_name = 'library'

urlpatterns = [
    path('', views.overview_quiz, name='overview_quiz'),
    path('my/', views.overview_quiz_my, name='overview_quiz_my'),
    path('favorites/', views.overview_quiz_favorites, name='overview_quiz_favorites'),

    path('new/', views.new_quiz, name='new_quiz'),
    path('edit/<int:pk>/', views.edit_quiz, name='edit_quiz'),
    path('delete/<int:pk>/', views.delete_quiz, name='delete_quiz'),
    path('detail/<int:pk>/', views.detail_quiz, name='detail_quiz'), # Hier werden Fragen gelistet (Quiz-Spezifisch)
    path('question/new/', views.new_question, name='new_question'),
    path('question/edit/<int:pk>/', views.edit_question, name='edit_question'),
    path('question/delete/<int:pk>/', views.delete_question, name='delete_question'),
    path('detail/copy/<int:pk>/', views.copy_quiz, name='copy_quiz'),
    path('favorite_quiz/<int:pk>/', views.favorite_quiz, name='favorite_quiz'),
    path("quiz-names-json/", views.quiz_names_json, name="quiz_names_json"),
    #path('quiz/<int:pk>/pdf/', views.pdf_solution, name='quiz_solution'),
    #path('quiz/<int:pk>/pdf/task', views.pdf_task, name='quiz_task'),

]
